Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229268 - "*" in sp_pwdp does not prevent changing the password by pam_unix
Summary: "*" in sp_pwdp does not prevent changing the password by pam_unix
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pam
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 20:50 UTC by Miloslav Trmač
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 14:04:08 UTC


Attachments (Terms of Use)

Description Miloslav Trmač 2007-02-19 20:50:25 UTC
"*" in pw_passwd prevents pam_unix from changing the password.  This is
currently not implemented for "*" in sp_pwdp when _unix_shadowed().

Version-Release number of selected component (if applicable):
pam-0.99.7.1-2.fc7

Comment 1 Tomas Mraz 2007-03-23 14:04:08 UTC
It was decided by upstream that this shouldn't be implemented. Also the '"*" in
pw_passwd prevents pam_unix from changing the password' feature is now removed
from upstream sources.



Note You need to log in before you can comment on or make changes to this bug.